Subject: Re: [bug#76166] [PATCH] gnu: icewm: make available during instalation.

From: Christopher Baines <[email-masked]>
Date: Sat, 01 Mar 2025 22:58:35 +0000

Andy Tai <[email-masked]> writes:

> * gnu/installer/services.scm (icewm): Make icewm a desktop service.
> * gnu/tests/install.scm: Make icewm an installation target for tests.
> * etc/manifests/release.scm: Make icewm available at system install.
>
> Change-Id: I881c1dd4289281e51c81d83fac785ef064e6ff6a

The changes seem OK, the commit message seemed a bit off though, I've
rewritten it as:

  installer: Include icewm as a desktop environment.

  * gnu/installer/services.scm (%system-services): Include icewm as a desktop
  environment.
  * gnu/tests/install.scm (installation-target-desktop-os-for-gui-tests): Add
  icewm to the list of packages.
  * etc/manifests/release.scm: (%system-packages): Add icewm.

I think that better reflects the actual changes being made.

Thanks,

Chris